## l7-protocols 20090528

=== Makefile ===
all:
	@echo Nothing to compile, just run \'make install\'
	@echo \(This simply copies this directory into $(PREFIX)/etc/l7-protocols \)	
install:
	mkdir -p $(PREFIX)/etc/l7-protocols
	cp -R * $(PREFIX)/etc/l7-protocols

=== testing/Makefile ===
all: randchars randprintable test_speed-kernel test_speed-userspace match_kernel

randchars: randchars.c
	gcc -O2 -o randchars randchars.c

randprintable: randprintable.c
	gcc -O2 -o randprintable randprintable.c

test_speed-kernel: test_speed-kernel.c
	gcc -o test_speed-kernel test_speed-kernel.c

test_speed-userspace: test_speed-userspace.cpp l7-parse-patterns.cpp l7-parse-patterns.h
	g++ -Wall -o test_speed-userspace test_speed-userspace.cpp l7-parse-patterns.cpp

match_kernel: match-kernel.c
	gcc -O2 -o match_kernel match-kernel.c

clean:
	rm -f randprintable randchars test_speed-kernel test_speed-userspace match_kernel

=== debian/changelog ===
l7-protocols (20090528-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Bump standards version to 3.9.2 (no changes needed).
  * Use overrides in debian/rules.
    + Bump minimum required debhelper version to 7.0.50.
  * Protect for loops with ‘set -e’.
  * Use source format 3.0 (quilt).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 25 Aug 2011 16:07:09 +0200

l7-protocols (20090528-3) unstable; urgency=low

  * debian/control: use full sentences in long description (closes: #551314).
  * debian/preinst: use 'set -e', not '-e' after shebang.

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Mon, 04 Jan 2010 12:00:38 +0000

l7-protocols (20090528-2) unstable; urgency=low

  * Do not ship symlinks in /etc (closes: #546665).
  * Minimize debian/rules.
  * debian/control: add Vcs-* fields. 

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Sun, 27 Sep 2009 17:56:30 +0200

l7-protocols (20090528-1) unstable; urgency=low

  * Initial release (Closes: #504398).

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Mon, 07 Sep 2009 18:23:20 +0200

=== debian/control ===
Source: l7-protocols
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://l7-filter.sourceforge.net/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/l7-protocols/
Vcs-Browser: http://hg.debian.org/hg/collab-maint/l7-protocols/

Package: l7-protocols
Architecture: all
Depends: ${misc:Depends}
Recommends: l7-filter-userspace
Description: protocol definitions for the Linux layer 7 packet classifier
 l7-protocols provides patterns (protocol definitions) for the Linux layer 7
 packet classifier (l7-filter). To use them, you need the kernel and iptables
 patches or the l7-filter userspace version (l7-filter-userspace).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $(@)

.PHONY: override_dh_auto_install
override_dh_auto_install: ;

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs
	set -e; \
	for dir in malware extra file_types; do \
		cp $${dir}/README debian/l7-protocols/usr/share/doc/l7-protocols/README.$${dir}; \
	done

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
opts="uversionmangle=s/-//g" \
http://sf.net/l7-filter/l7-protocols-([0-9-]{10}).tar.gz
